org.apache.nutch.webui.pages

## Class SearchPage

- java.lang.Object
- - org.apache.wicket.Component
  - - org.apache.wicket.MarkupContainer
    - - org.apache.wicket.Page
      - - org.apache.wicket.markup.html.WebPage
        - - org.apache.wicket.markup.html.GenericWebPage<T>
          - - org.apache.nutch.webui.pages.AbstractBasePage
            - - org.apache.nutch.webui.pages.SearchPage

- All Implemented Interfaces:
    Serializable, Iterable<org.apache.wicket.Component>, org.apache.wicket.event.IEventSink, org.apache.wicket.event.IEventSource, org.apache.wicket.IConverterLocator, org.apache.wicket.IGenericComponent, org.apache.wicket.IRedirectListener, org.apache.wicket.IRequestListener, org.apache.wicket.markup.html.IHeaderContributor, org.apache.wicket.page.IManageablePage, org.apache.wicket.request.component.IRequestableComponent, org.apache.wicket.request.component.IRequestablePage, org.apache.wicket.util.IHierarchical<org.apache.wicket.Component>, org.apache.wicket.util.io.IClusterable

      public class SearchPage
      extends AbstractBasePage

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.webui.pages.AbstractBasePage

      `currentInstance`

    - ### Fields inherited from class org.apache.wicket.Component

      `ENABLE, FLAG_INITIALIZED, FLAG_REMOVING_FROM_HIERARCHY, FLAG_RESERVED1, FLAG_RESERVED2, FLAG_RESERVED3, FLAG_RESERVED4, FLAG_RESERVED5, FLAG_RESERVED8, PARENT_PATH, PATH_SEPARATOR, RENDER`

    - ### Fields inherited from interface org.apache.wicket.IRedirectListener

      `INTERFACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchPage()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.nutch.webui.pages.AbstractBasePage

      `addInstancesMenuMenu, addUserMenu, getCurrentInstance`

    - ### Methods inherited from class org.apache.wicket.markup.html.GenericWebPage

      `getModel, getModelObject, setModel, setModelObject`

    - ### Methods inherited from class org.apache.wicket.markup.html.WebPage

      `configureResponse, dirty, getMarkupType, homePageLink, onAfterRender, onRender, renderXmlDecl, setHeaders`

    - ### Methods inherited from class org.apache.wicket.Page

      `componentChanged, componentRendered, detachModels, dirty, endComponentRender, getAutoIndex, getId, getPageClass, getPageId, getPageParameters, getPageReference, getRenderCount, getSizeInBytes, getStatelessHint, hierarchyAsString, internalOnModelChanged, internalPrepareForRender, isBookmarkable, isErrorPage, isPageStateless, onBeforeRender, onDetach, onInitialize, onRedirect, renderPage, setFreezePageId, setNumericId, setStatelessHint, setWasCreatedBookmarkable, startComponentRender, toString, wasCreatedBookmarkable, wasRendered`

    - ### Methods inherited from class org.apache.wicket.MarkupContainer

      `add, addOrReplace, autoAdd, contains, get, get, getAssociatedMarkup, getAssociatedMarkupStream, getMarkup, internalAdd, internalInitialize, iterator, iterator, onAfterRenderChildren, onComponentTagBody, remove, remove, removeAll, renderAll, renderAssociatedMarkup, renderNext, replace, setDefaultModel, size, swap, toString, visitChildren, visitChildren, visitChildren, visitChildren`

    - ### Methods inherited from class org.apache.wicket.Component

      `add, addStateChange, afterRender, beforeRender, canCallListenerInterface, checkComponentTag, checkComponentTagAttribute, checkHierarchyChange, clearOriginalDestination, configure, continueToOriginalDestination, debug, detach, detachModel, determineVisibility, error, exceptionMessage, fatal, findMarkupStream, findPage, findParent, findParentWithAssociatedMarkup, getAjaxRegionMarkupId, getApplication, getBehaviorById, getBehaviorId, getBehaviors, getBehaviors, getClassRelativePath, getConverter, getDefaultModel, getDefaultModelObject, getDefaultModelObjectAsString, getDefaultModelObjectAsString, getEscapeModelStrings, getFeedbackMessages, getFlag, getInnermostModel, getInnermostModel, getLocale, getLocalizer, getMarkup, getMarkupAttributes, getMarkupId, getMarkupId, getMarkupIdFromMarkup, getMarkupIdImpl, getMarkupSourcingStrategy, getMetaData, getModelComparator, getOutputMarkupId, getOutputMarkupPlaceholderTag, getPage, getPageRelativePath, getParent, getPath, getRenderBodyOnly, getRequest, getRequestCycle, getRequestFlag, getResponse, getSession, getString, getString, getString, getStyle, getVariation, hasBeenRendered, hasErrorMessage, hasFeedbackMessage, info, initModel, internalRenderComponent, isActionAuthorized, isAuto, isBehaviorAccepted, isEnableAllowed, isEnabled, isEnabledInHierarchy, isIgnoreAttributeModifier, isRenderAllowed, isStateless, isVersioned, isVisibilityAllowed, isVisible, isVisibleInHierarchy, markRendering, modelChanged, modelChanging, newMarkupSourcingStrategy, onComponentTag, onConfigure, onEvent, onModelChanged, onModelChanging, onRemove, prepareForRender, redirectToInterceptPage, remove, remove, render, renderComponentTag, rendered, renderHead, renderHead, renderHead, renderPlaceholderTag, replaceComponentTagBody, replaceWith, sameInnermostModel, sameInnermostModel, send, setAuto, setDefaultModelObject, setEnabled, setEscapeModelStrings, setFlag, setIgnoreAttributeModifier, setMarkup, setMarkupId, setMarkupIdImpl, setMetaData, setOutputMarkupId, setOutputMarkupPlaceholderTag, setParent, setRenderBodyOnly, setRequestFlag, setResponsePage, setResponsePage, setResponsePage, setVersioned, setVisibilityAllowed, setVisible, success, urlFor, urlFor, urlFor, urlFor, urlFor, visitParents, visitParents, warn, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.wicket.request.component.IRequestableComponent

      `detach, get, getBehaviorById, getBehaviorId, getPage, getPageRelativePath`

    - ### Methods inherited from interface org.apache.wicket.page.IManageablePage

      `detach`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### SearchPage

          public SearchPage()

Copyright © 2020 The Apache Software Foundation